From c1ae935a4c17816edf20f3c22e3885e18e4b3718 Mon Sep 17 00:00:00 2001
From: Sami Imseih <simseih@amazon.com>
Date: Wed, 9 Apr 2025 22:24:13 -0500
Subject: [PATCH 1/1] Clarify when aborted and committed rows are tracked in
 pg_stat_all_tables

---
 doc/src/sgml/monitoring.sgml | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index c421d89edff..7c43f2a5fa8 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -4097,6 +4097,15 @@ description | Waiting for a newly initialized WAL file to reach durable storage
    </tgroup>
   </table>
 
+  <note>
+   <para>
+    The <structfield>n_tup_ins</structfield>, <structfield>n_tup_upd</structfield>,
+    <structfield>n_tup_del</structfield>, and <structfield>n_ins_since_vacuum</structfield>
+    fields include rows from both committed and aborted transactions.
+    The <structfield>n_mod_since_analyze</structfield> field only includes rows from committed
+    transactions.
+   </para>
+  </note>
  </sect2>
 
  <sect2 id="monitoring-pg-stat-all-indexes-view">
-- 
2.39.5 (Apple Git-154)

